Bug 667740 - Boost.Filesystem API v3 not compiled
Summary: Boost.Filesystem API v3 not compiled
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boost
Version: 14
Hardware: All
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-06 16:26 UTC by Haïkel Guémar
Modified: 2015-05-05 01:35 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-18 21:38:57 UTC


Attachments (Terms of Use)
enable compilation of boost filesystem API v3 (1.01 KB, patch)
2011-01-06 16:26 UTC, Haïkel Guémar
no flags Details | Diff
Fix (1.67 KB, patch)
2011-01-08 01:40 UTC, Petr Machata
no flags Details | Diff
Replacement for the cmakeify_boost_1440.patch patch (225.96 KB, patch)
2011-01-10 21:50 UTC, Denis Arnaud
no flags Details | Diff

Description Haïkel Guémar 2011-01-06 16:26:58 UTC
Created attachment 472093 [details]
enable compilation of boost filesystem API v3

Description of problem:

Boost Filesystem API v3 is not compiled in libboost_filesystem*.so when using (fedora custom ?) cmake build system. bjam build system correctly build API v3.

Version-Release number of selected component (if applicable): 1.44.5

  
Actual results:
Can't use Boost.Filesystem API v3 !

Expected results:
Enjoy Boost.Filesystem API v3.


Additional info:
Boost Filesystem has been rewritten to provide better i18n support and more robust interface. Boost Filesystem roadmap:
1.44: v2 deprecated and v3 introduced (supported by defining BOOST_FILESYSTEM_VERSION to 3)
1.46: v3 will be default (API v2 will be accessible by defining BOOST_FILESYSTEM_VERSION to 2)
1.48: v2 will be removed from Boost

Here's a patch to the cmake build system which allows to build API v3, no breakage for applications using API v2.

Comment 1 Petr Machata 2011-01-08 01:40:26 UTC
Created attachment 472330 [details]
Fix

This patch seems to fix the problem, and might even be the right way to do it.

Comment 2 Denis Arnaud 2011-01-10 21:50:38 UTC
Created attachment 472696 [details]
Replacement for the cmakeify_boost_1440.patch patch

The RPM specification should be updated (it has been done on the Git repository on the master branch, i.e., for Rawhide), so as to replace cmakeify_boost_1440.patch by cmakeify_boost_1440_2.patch.

Comment 3 Fedora Update System 2011-01-10 23:11:49 UTC
boost-1.44.0-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/boost-1.44.0-7.fc14

Comment 4 Petr Machata 2011-01-11 00:25:19 UTC
Thanks for making the update, Denis.

Comment 5 Fedora Update System 2011-01-12 05:20:44 UTC
boost-1.44.0-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boost'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/boost-1.44.0-7.fc14

Comment 6 Fedora Update System 2011-01-18 21:38:39 UTC
boost-1.44.0-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.